
function mudfish_adclean_31da1a45e90f4edef9e8d8efb9cf1682() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`#containerCol .at-content .contents > a[href][target] > img[src^="/bann/"]`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_31da1a45e90f4edef9e8d8efb9cf1682();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_31da1a45e90f4edef9e8d8efb9cf1682();
  });
}
